package weaver.interfaces.hansang.job;


import weaver.conn.RecordSet;
import weaver.general.TimeUtil;
import weaver.general.Util;
import weaver.interfaces.schedule.BaseCronJob;

/**
 * @author wanxq
 * @date 2023年09月12日11:44:24
 * @desc
 */
public class ManagerMemberSyn extends BaseCronJob {


    @Override
    public void execute() {

        RecordSet rs = new RecordSet();
        RecordSet rs2 = new RecordSet();
        String sql = "  select id from hrmroles where  rolesmark='主管及以上管理者'  ";
        rs.execute(sql);
        if(rs.next()) {
            String roleid = Util.null2String(rs.getString("id"));

            //删除不在角色中的人员
            String delSql = " delete from hrmrolemembers a where roleid=? and not exists " +
                    " ( select 1 from cus_fielddata b  where field93 in(23,24,25,26,27,28) and a.resourceid=b.id )";
            rs.executeUpdate(delSql,roleid);

            //添加属于角色中的人员
            String synSql = "  select id from cus_fielddata cf where field93 in(23,24,25,26,27,28) " +
                    " and not exists ( select 1 from hrmrolemembers hr where hr.roleid=? and resourceid=cf.id) ";
            rs.executeQuery(synSql,roleid);
            while(rs.next()){
                String userid = Util.null2String(rs.getString("id"));

                String insertSql = " insert into hrmrolemembers(roleid,resourceid,rolelevel,resourcetype) values(?,?,?,?) ";
                rs2.executeUpdate(insertSql,new Object[]{roleid,userid,2,1});
            }

        }

    }



    public static void main(String[] args) {
        System.out.println(TimeUtil.getCurrentDateString());
    }


}
