package weaver.interfaces.leshanvc.cronjob;

import weaver.conn.RecordSet;
import weaver.general.BaseBean;
import weaver.interfaces.schedule.BaseCronJob;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author ml
 * @Date 2023/4/10 9:15
 * @Description 离职日期<当前日期时，更新人员状态
 * @Since version-1.0
 */
public class SyncStatusByDate extends BaseCronJob {
    private static BaseBean baseBean = new BaseBean();

    private static RecordSet recordSet = new RecordSet();

    @Override
    public void execute() {
        baseBean.writeLog("定时任务更新人员状态");
        try {
            recordSet.executeQuery("select id from cus_fielddata where field82 < current_date() " +
                    "and scope = 'HrmCustomFieldByInfoType' and scopeid='3' and ifnull(field82,'')!=''");
            List<String> list = new ArrayList<>();
            while (recordSet.next()) {
                list.add(recordSet.getString("id"));
            }

            for (String id : list){
                recordSet.execute("update hrmresource set status = '5' where id="+id);
                recordSet.next();
            }

        } catch (Exception e) {
            baseBean.writeLog(e);
        }


    }
}
