package com.engine.leshanvc.service;

import java.util.Map;

/**
 * @Author ml
 * @Date 2023/3/29 11:22
 * @Description 线内分组管理页
 * @Since version-1.0
 */
public interface SyncXcDataService {

    /**
     * @Author ml
     * @Date 2023/3/29 11:22
     * @Description 线长数据同步
     * @Param []
     * @Return java.util.Map<java.lang.String,java.lang.Object>
     */
    Map<String ,Object> syncXcData(Map<String, Object> params);

    /**
     * @Author ml
     * @Date 2023/4/4 17:18
     * @Description 非办公上岗数据花名册
     * @Param [params]
     * @Return java.util.Map<java.lang.String, java.lang.Object>
     */
    Map<String, Object> nonOfficeUpload(Map<String, Object> params);

    /**
     * @Author ml
     * @Date 2023/4/6 17:31
     * @Description 身份证读取
     * @Param [params]
     * @Return java.lang.Long
     */
    Map<String, Object>  saveIDCard(Map<String, Object> params);
}
