package weaver.interfaces.leshanvc.workflow.util;

/**
 * @author:dxfeng
 * @createTime: 2023/02/17
 * @version: 1.0
 */
public class ConvertDurationUtil {

    /**
     * 转换公出时间以半小时为最小单位
     *
     * @param duration
     * @return
     */
    public static String handelHalfHour(String duration) {
        double outHour = Double.parseDouble(duration);
        double conversionHours = 0.0;
        double halfHourInt = 0.5;
        int step = (int) (outHour / halfHourInt);
        double leftMins = outHour - halfHourInt * step;
        if (leftMins > 0) {
            conversionHours = halfHourInt * step + halfHourInt;
        } else {
            conversionHours = halfHourInt * step;
        }
        return Double.toString(conversionHours);
    }
}
